<div class="container">
  <mat-stepper linear #stepper>
    <mat-step [completed]="firstStep" y>
      <ng-template matStepLabel>Pick a Folder</ng-template>
      <table mat-table [dataSource]="folders">
        <ng-container matColumnDef="folder">
          <mat-header-cell *matHeaderCellDef>Folders.</mat-header-cell>
          <mat-cell *matCellDef="let folder">
            <button
              class="stepper"
              mat-button
              (click)="logFolderRowData(folder, stepper)">
              {{ folder }}
            </button></mat-cell
          >
        </ng-container>
        <mat-header-row *matHeaderRowDef="folderCol"></mat-header-row>
        <mat-row *matRowDef="let myRowData; columns: folderCol"> </mat-row>
      </table>
    </mat-step>

    <mat-step [completed]="secondStep">
      <ng-template matStepLabel>Pick a Telecommand</ng-template>
      <div *ngIf="telecommandsArray.length > 0" class="view table-view">
        <button (click)="backNavigation()" mat-button matStepperPrevious>
          <mat-icon> undo</mat-icon>
          Back
        </button>
        <mat-form-field>
          <input
            matInput
            (keyup)="applyFilter($event)"
            placeholder="Filter" /><mat-icon matPrefix> search</mat-icon>
        </mat-form-field>

        <table *ngIf="tableDataSource" mat-table [dataSource]="tableDataSource">
          <ng-container matColumnDef="telecommands">
            <mat-header-cell *matHeaderCellDef
              >Pick a Telecommand</mat-header-cell
            >
            <mat-cell class="name_column" *matCellDef="let telecommand">
              <button
                mat-button
                class="stepper"
                (click)="this.pickTelecommand(stepper)"
                [routerLink]="['/telecommands', telecommand.qualifiedName]">
                {{ telecommand.name }}
              </button>
            </mat-cell>
          </ng-container>
          <mat-header-row *matHeaderRowDef="displayedCol">
            <mat-row
              *matRowDef="let myRowData; columns: displayedCol"></mat-row>
          </mat-header-row>
        </table>
      </div>
    </mat-step>

    <mat-step>
      <ng-template matStepLabel>Send telecommand</ng-template>
      <router-outlet></router-outlet>
    </mat-step>
  </mat-stepper>
</div>
